Subject: Re: ext2 fs programs version 0.4a available
From: [email-masked] (Theodore Ts'o)
Date: 4 Dec 1993 01:14:22 +0200
Newsgroups: comp.os.linux.announce

From: [email-masked] (Remy CARD)
   Date: Mon, 29 Nov 1993 19:09:31 +0000 (GMT)

	   Linus has just released Linux 0.99pl14 which contains the latest
   ext2 fs version (0.4a).  So, I can now release the latest version of the
   ext2 fs programs.

In a similar vein, I am now releasing a new version of the new-e2fsck
program, which is significantly faster than the standard e2fsck, and
which corrects more error conditions as well.  It can be found on
tsx-11.mit.edu, in /pub/linux/ALPHA/ext2fs/e2fsck.01-Dec-93.tar.gz.

The main feature which is missing from the new-e2fsck is the -c option
to check for bad blocks; I intend to implement a separate badblocks
program that will be able to use a more careful read/write checking
algorithm, and which will exec e2fsck after setting the badblocks inode.

Here are the changes since the last release (dated October 11th):

-------------------------------------------------------------
Fixed bugs with root reallocation; previously the parent pointers in
the dirinfo structure would get corrupted, causing many different '..'
links to be wrong.  Also, the inode link count for the root directory
wasn't always being set correcctly.  (All of this would be fixed on
the second e2fsck, however).

Fixed to recognize filesystem corruption caused by mke2fs 0.2b (where
/ and /lost+found had non-zero dtime entries).  Offers to fix /'s
dtime entry.

e2fsck will now expand the /lost+found directory if it runs out of room.

Fixed dependency on BLOCK_SIZE in pass2.  e2fsck will now handle 4k
filesystems w/o problems.

e2fsck will now move bad blocks found in the inode bitmaps, block
bitmaps, and in the inode tables.  (Can't handle bad blocks found in
the superblock and the group descriptors.)  (Doesn't update alternate
superblocks, group descriptors.)

e2fsck now supports the -b option, to allow a user to specify an
alternate superblock.

The -B option now specifies the blocksize of the filesystem.  (If not
specified, and the -b option is specified, e2fsck will attempt to
search through various blocksizes to find the correct one.)

Added manual page.

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.